from typing import Optional

from .standard_result import StandardResult
from actionstreamer.Model import SrtPublishCredential


class SrtPublishCredentialResult(StandardResult):
    def __init__(self, code: int = 0, description: str = '', srt_publish_credential: Optional[SrtPublishCredential] = None):
        super().__init__(code, description)
        self.srt_publish_credential = srt_publish_credential or SrtPublishCredential()